Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-ejs
Version:    1.0.0
Release:    alt1_10
Summary:    Embedded JavaScript templates for Node.js
# License text is included in Readme.md
License:    MIT
URL:        https://github.com/visionmedia/ejs
Source0:    http://registry.npmjs.org/ejs/-/ejs-%{version}.tgz

# Add patch to tests to bring up to a more modern 'should' syntax
Patch0:	    nodejs-ejs_fix-should-syntax.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package

%patch0 -p1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ejs
cp -pr package.json ejs.js ejs.min.js index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/ejs

%nodejs_symlink_deps


%files
%doc History.md Readme.md examples/
%{nodejs_sitelib}/ejs


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_10
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_3
- fc import

* Sun Jul 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_2
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_1
- initial import

